<?php
/**
 * Archive page template - "Modern - 2 columns" layout
 *
 * @package Multi
 */

?>
<main class="main">
<?php
get_template_part( 'archive-heading' );

if ( have_posts() ) :
	$multimagazine_post_args                   = multimagazine_postlist_meta_flags();
	$multimagazine_post_args['thumbnail-size'] = 'multimagazine-thumbnail-medium';
	$multimagazine_post_args['classes']        = 'col2';
	?>
	<div class="postlist modern columns <?php echo esc_attr( multimagazine_get_post_loading_classes() ); ?>">
	<?php
	while ( have_posts() ) {
		the_post();
		get_template_part( 'post-list-parts/post-modern', null, $multimagazine_post_args );
	}
	?>
	</div>
	<?php get_template_part( 'template-parts/pager' ); ?>
<?php else : ?>
	<?php get_template_part( 'template-parts/archive-empty' ); ?>
<?php endif; ?>
<?php get_template_part( 'archive-description' ); ?>
</main>
